1# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Id
18
19# Id
20
21# Id
22
23
24VPATH = @srcdir@
25am__is_gnu_make = { \
26  if test -z '$(MAKELEVEL)'; then \
27    false; \
28  elif test -n '$(MAKE_HOST)'; then \
29    true; \
30  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
31    true; \
32  else \
33    false; \
34  fi; \
35}
36am__make_running_with_option = \
37  case $${target_option-} in \
38      ?) ;; \
39      *) echo "am__make_running_with_option: internal error: invalid" \
40              "target option '$${target_option-}' specified" >&2; \
41         exit 1;; \
42  esac; \
43  has_opt=no; \
44  sane_makeflags=$$MAKEFLAGS; \
45  if $(am__is_gnu_make); then \
46    sane_makeflags=$$MFLAGS; \
47  else \
48    case $$MAKEFLAGS in \
49      *\\[\ \	]*) \
50        bs=\\; \
51        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
52          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
53    esac; \
54  fi; \
55  skip_next=no; \
56  strip_trailopt () \
57  { \
58    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
59  }; \
60  for flg in $$sane_makeflags; do \
61    test $$skip_next = yes && { skip_next=no; continue; }; \
62    case $$flg in \
63      *=*|--*) continue;; \
64        -*I) strip_trailopt 'I'; skip_next=yes;; \
65      -*I?*) strip_trailopt 'I';; \
66        -*O) strip_trailopt 'O'; skip_next=yes;; \
67      -*O?*) strip_trailopt 'O';; \
68        -*l) strip_trailopt 'l'; skip_next=yes;; \
69      -*l?*) strip_trailopt 'l';; \
70      -[dEDm]) skip_next=yes;; \
71      -[JT]) skip_next=yes;; \
72    esac; \
73    case $$flg in \
74      *$$target_option*) has_opt=yes; break;; \
75    esac; \
76  done; \
77  test $$has_opt = yes
78am__make_dryrun = (target_option=n; $(am__make_running_with_option))
79am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
80pkgdatadir = $(datadir)/@PACKAGE@
81pkgincludedir = $(includedir)/@PACKAGE@
82pkglibdir = $(libdir)/@PACKAGE@
83pkglibexecdir = $(libexecdir)/@PACKAGE@
84am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
85install_sh_DATA = $(install_sh) -c -m 644
86install_sh_PROGRAM = $(install_sh) -c
87install_sh_SCRIPT = $(install_sh) -c
88INSTALL_HEADER = $(INSTALL_DATA)
89transform = $(program_transform_name)
90NORMAL_INSTALL = :
91PRE_INSTALL = :
92POST_INSTALL = :
93NORMAL_UNINSTALL = :
94PRE_UNINSTALL = :
95POST_UNINSTALL = :
96build_triplet = @build@
97host_triplet = @host@
98noinst_PROGRAMS = bits$(EXEEXT)
99subdir = include
100ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
101am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
102	$(top_srcdir)/cf/auth-modules.m4 \
103	$(top_srcdir)/cf/broken-glob.m4 \
104	$(top_srcdir)/cf/broken-realloc.m4 \
105	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
106	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
107	$(top_srcdir)/cf/capabilities.m4 \
108	$(top_srcdir)/cf/check-compile-et.m4 \
109	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
110	$(top_srcdir)/cf/check-man.m4 \
111	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
112	$(top_srcdir)/cf/check-type-extra.m4 \
113	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/crypto.m4 \
114	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
115	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
116	$(top_srcdir)/cf/find-func-no-libs.m4 \
117	$(top_srcdir)/cf/find-func-no-libs2.m4 \
118	$(top_srcdir)/cf/find-func.m4 \
119	$(top_srcdir)/cf/find-if-not-broken.m4 \
120	$(top_srcdir)/cf/framework-security.m4 \
121	$(top_srcdir)/cf/have-struct-field.m4 \
122	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
123	$(top_srcdir)/cf/krb-bigendian.m4 \
124	$(top_srcdir)/cf/krb-func-getlogin.m4 \
125	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
126	$(top_srcdir)/cf/krb-prog-perl.m4 \
127	$(top_srcdir)/cf/krb-readline.m4 \
128	$(top_srcdir)/cf/krb-struct-spwd.m4 \
129	$(top_srcdir)/cf/krb-struct-winsize.m4 \
130	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
131	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
132	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
133	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
134	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
135	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
136	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
137	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
138	$(top_srcdir)/cf/roken-frag.m4 \
139	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
140	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
141	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
142	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
143	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
144am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
145	$(ACLOCAL_M4)
146DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
147	$(am__DIST_COMMON)
148mkinstalldirs = $(install_sh) -d
149CONFIG_HEADER = config.h
150CONFIG_CLEAN_FILES =
151CONFIG_CLEAN_VPATH_FILES =
152PROGRAMS = $(noinst_PROGRAMS)
153bits_SOURCES = bits.c
154bits_OBJECTS = bits.$(OBJEXT)
155bits_LDADD = $(LDADD)
156AM_V_lt = $(am__v_lt_@AM_V@)
157am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
158am__v_lt_0 = --silent
159am__v_lt_1 = 
160AM_V_P = $(am__v_P_@AM_V@)
161am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
162am__v_P_0 = false
163am__v_P_1 = :
164AM_V_GEN = $(am__v_GEN_@AM_V@)
165am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
166am__v_GEN_0 = @echo "  GEN     " $@;
167am__v_GEN_1 = 
168AM_V_at = $(am__v_at_@AM_V@)
169am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
170am__v_at_0 = @
171am__v_at_1 = 
172depcomp = $(SHELL) $(top_srcdir)/depcomp
173am__maybe_remake_depfiles = depfiles
174am__depfiles_remade = ./$(DEPDIR)/bits.Po
175am__mv = mv -f
176COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
177	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
178LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
179	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
180	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
181	$(AM_CFLAGS) $(CFLAGS)
182AM_V_CC = $(am__v_CC_@AM_V@)
183am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
184am__v_CC_0 = @echo "  CC      " $@;
185am__v_CC_1 = 
186CCLD = $(CC)
187LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
188	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
189	$(AM_LDFLAGS) $(LDFLAGS) -o $@
190AM_V_CCLD = $(am__v_CCLD_@AM_V@)
191am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
192am__v_CCLD_0 = @echo "  CCLD    " $@;
193am__v_CCLD_1 = 
194SOURCES = bits.c
195DIST_SOURCES = bits.c
196RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
197	ctags-recursive dvi-recursive html-recursive info-recursive \
198	install-data-recursive install-dvi-recursive \
199	install-exec-recursive install-html-recursive \
200	install-info-recursive install-pdf-recursive \
201	install-ps-recursive install-recursive installcheck-recursive \
202	installdirs-recursive pdf-recursive ps-recursive \
203	tags-recursive uninstall-recursive
204am__can_run_installinfo = \
205  case $$AM_UPDATE_INFO_DIR in \
206    n|no|NO) false;; \
207    *) (install-info --version) >/dev/null 2>&1;; \
208  esac
209am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
210am__vpath_adj = case $$p in \
211    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
212    *) f=$$p;; \
213  esac;
214am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
215am__install_max = 40
216am__nobase_strip_setup = \
217  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
218am__nobase_strip = \
219  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
220am__nobase_list = $(am__nobase_strip_setup); \
221  for p in $$list; do echo "$$p $$p"; done | \
222  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
223  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
224    if (++n[$$2] == $(am__install_max)) \
225      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
226    END { for (dir in files) print dir, files[dir] }'
227am__base_list = \
228  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
229  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
230am__uninstall_files_from_dir = { \
231  test -z "$$files" \
232    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
233    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
234         $(am__cd) "$$dir" && rm -f $$files; }; \
235  }
236am__installdirs = "$(DESTDIR)$(includedir)"
237HEADERS = $(nodist_include_HEADERS) $(noinst_HEADERS)
238RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
239  distclean-recursive maintainer-clean-recursive
240am__recursive_targets = \
241  $(RECURSIVE_TARGETS) \
242  $(RECURSIVE_CLEAN_TARGETS) \
243  $(am__extra_recursive_targets)
244AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
245	distdir distdir-am
246am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
247	config.h.in
248# Read a list of newline-separated strings from the standard input,
249# and print each of them once, without duplicates.  Input order is
250# *not* preserved.
251am__uniquify_input = $(AWK) '\
252  BEGIN { nonempty = 0; } \
253  { items[$$0] = 1; nonempty = 1; } \
254  END { if (nonempty) { for (i in items) print i; }; } \
255'
256# Make sure the list of sources is unique.  This is necessary because,
257# e.g., the same source file might be shared among _SOURCES variables
258# for different programs/libraries.
259am__define_uniq_tagged_files = \
260  list='$(am__tagged_files)'; \
261  unique=`for i in $$list; do \
262    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
263  done | $(am__uniquify_input)`
264DIST_SUBDIRS = $(SUBDIRS)
265am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
266	$(top_srcdir)/Makefile.am.common \
267	$(top_srcdir)/cf/Makefile.am.common $(top_srcdir)/depcomp
268DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
269am__relativize = \
270  dir0=`pwd`; \
271  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
272  sed_rest='s,^[^/]*/*,,'; \
273  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
274  sed_butlast='s,/*[^/]*$$,,'; \
275  while test -n "$$dir1"; do \
276    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
277    if test "$$first" != "."; then \
278      if test "$$first" = ".."; then \
279        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
280        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
281      else \
282        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
283        if test "$$first2" = "$$first"; then \
284          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
285        else \
286          dir2="../$$dir2"; \
287        fi; \
288        dir0="$$dir0"/"$$first"; \
289      fi; \
290    fi; \
291    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
292  done; \
293  reldir="$$dir2"
294ACLOCAL = @ACLOCAL@
295AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
296AMTAR = @AMTAR@
297AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
298AR = @AR@
299AS = @AS@
300ASN1_COMPILE = @ASN1_COMPILE@
301ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
302AUTOCONF = @AUTOCONF@
303AUTOHEADER = @AUTOHEADER@
304AUTOMAKE = @AUTOMAKE@
305AWK = @AWK@
306CANONICAL_HOST = @CANONICAL_HOST@
307CAPNG_CFLAGS = @CAPNG_CFLAGS@
308CAPNG_LIBS = @CAPNG_LIBS@
309CATMAN = @CATMAN@
310CATMANEXT = @CATMANEXT@
311CC = @CC@
312CCDEPMODE = @CCDEPMODE@
313CFLAGS = @CFLAGS@
314CLANG_FORMAT = @CLANG_FORMAT@
315COMPILE_ET = @COMPILE_ET@
316CPP = @CPP@
317CPPFLAGS = @CPPFLAGS@
318CSCOPE = @CSCOPE@
319CTAGS = @CTAGS@
320CYGPATH_W = @CYGPATH_W@
321DB1LIB = @DB1LIB@
322DB3LIB = @DB3LIB@
323DBHEADER = @DBHEADER@
324DEFS = @DEFS@
325DEPDIR = @DEPDIR@
326DIR_com_err = @DIR_com_err@
327DIR_hdbdir = @DIR_hdbdir@
328DIR_roken = @DIR_roken@
329DLLTOOL = @DLLTOOL@
330DSYMUTIL = @DSYMUTIL@
331DUMPBIN = @DUMPBIN@
332ECHO_C = @ECHO_C@
333ECHO_N = @ECHO_N@
334ECHO_T = @ECHO_T@
335EGREP = @EGREP@
336ENABLE_AFS_STRING_TO_KEY = @ENABLE_AFS_STRING_TO_KEY@
337ETAGS = @ETAGS@
338EXEEXT = @EXEEXT@
339FGREP = @FGREP@
340FILECMD = @FILECMD@
341GCD_MIG = @GCD_MIG@
342GREP = @GREP@
343GROFF = @GROFF@
344INCLUDES_roken = @INCLUDES_roken@
345INCLUDE_libedit = @INCLUDE_libedit@
346INCLUDE_libintl = @INCLUDE_libintl@
347INCLUDE_openldap = @INCLUDE_openldap@
348INCLUDE_openssl_crypto = @INCLUDE_openssl_crypto@
349INCLUDE_readline = @INCLUDE_readline@
350INCLUDE_sqlite3 = @INCLUDE_sqlite3@
351INSTALL = @INSTALL@
352INSTALL_DATA = @INSTALL_DATA@
353INSTALL_PROGRAM = @INSTALL_PROGRAM@
354INSTALL_SCRIPT = @INSTALL_SCRIPT@
355INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
356LD = @LD@
357LDFLAGS = @LDFLAGS@
358LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
359LEX = @LEX@
360LEXLIB = @LEXLIB@
361LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
362LIBADD_roken = @LIBADD_roken@
363LIBOBJS = @LIBOBJS@
364LIBS = @LIBS@
365LIBTOOL = @LIBTOOL@
366LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
367LIB_bswap16 = @LIB_bswap16@
368LIB_bswap32 = @LIB_bswap32@
369LIB_bswap64 = @LIB_bswap64@
370LIB_com_err = @LIB_com_err@
371LIB_com_err_a = @LIB_com_err_a@
372LIB_com_err_so = @LIB_com_err_so@
373LIB_crypt = @LIB_crypt@
374LIB_db_create = @LIB_db_create@
375LIB_dbm_firstkey = @LIB_dbm_firstkey@
376LIB_dbopen = @LIB_dbopen@
377LIB_dispatch_async_f = @LIB_dispatch_async_f@
378LIB_dladdr = @LIB_dladdr@
379LIB_dlopen = @LIB_dlopen@
380LIB_dn_expand = @LIB_dn_expand@
381LIB_dns_search = @LIB_dns_search@
382LIB_door_create = @LIB_door_create@
383LIB_freeaddrinfo = @LIB_freeaddrinfo@
384LIB_gai_strerror = @LIB_gai_strerror@
385LIB_getaddrinfo = @LIB_getaddrinfo@
386LIB_gethostbyname = @LIB_gethostbyname@
387LIB_gethostbyname2 = @LIB_gethostbyname2@
388LIB_getnameinfo = @LIB_getnameinfo@
389LIB_getpwnam_r = @LIB_getpwnam_r@
390LIB_getsockopt = @LIB_getsockopt@
391LIB_hcrypto = @LIB_hcrypto@
392LIB_hcrypto_a = @LIB_hcrypto_a@
393LIB_hcrypto_appl = @LIB_hcrypto_appl@
394LIB_hcrypto_so = @LIB_hcrypto_so@
395LIB_hstrerror = @LIB_hstrerror@
396LIB_kdb = @LIB_kdb@
397LIB_libedit = @LIB_libedit@
398LIB_libintl = @LIB_libintl@
399LIB_loadquery = @LIB_loadquery@
400LIB_logout = @LIB_logout@
401LIB_logwtmp = @LIB_logwtmp@
402LIB_openldap = @LIB_openldap@
403LIB_openpty = @LIB_openpty@
404LIB_openssl_crypto = @LIB_openssl_crypto@
405LIB_otp = @LIB_otp@
406LIB_pidfile = @LIB_pidfile@
407LIB_readline = @LIB_readline@
408LIB_res_ndestroy = @LIB_res_ndestroy@
409LIB_res_nsearch = @LIB_res_nsearch@
410LIB_res_search = @LIB_res_search@
411LIB_roken = @LIB_roken@
412LIB_security = @LIB_security@
413LIB_setsockopt = @LIB_setsockopt@
414LIB_socket = @LIB_socket@
415LIB_sqlite3 = @LIB_sqlite3@
416LIB_syslog = @LIB_syslog@
417LIB_tgetent = @LIB_tgetent@
418LIPO = @LIPO@
419LMDBLIB = @LMDBLIB@
420LN_S = @LN_S@
421LTLIBOBJS = @LTLIBOBJS@
422LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
423MAINT = @MAINT@
424MAKEINFO = @MAKEINFO@
425MANIFEST_TOOL = @MANIFEST_TOOL@
426MKDIR_P = @MKDIR_P@
427NDBMLIB = @NDBMLIB@
428NM = @NM@
429NMEDIT = @NMEDIT@
430NO_AFS = @NO_AFS@
431NROFF = @NROFF@
432OBJDUMP = @OBJDUMP@
433OBJEXT = @OBJEXT@
434OTOOL = @OTOOL@
435OTOOL64 = @OTOOL64@
436PACKAGE = @PACKAGE@
437PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
438PACKAGE_NAME = @PACKAGE_NAME@
439PACKAGE_STRING = @PACKAGE_STRING@
440PACKAGE_TARNAME = @PACKAGE_TARNAME@
441PACKAGE_URL = @PACKAGE_URL@
442PACKAGE_VERSION = @PACKAGE_VERSION@
443PATH_SEPARATOR = @PATH_SEPARATOR@
444PERL = @PERL@
445PKG_CONFIG = @PKG_CONFIG@
446PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
447PTHREAD_LDADD = @PTHREAD_LDADD@
448PTHREAD_LIBADD = @PTHREAD_LIBADD@
449PYTHON = @PYTHON@
450PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
451PYTHON_PLATFORM = @PYTHON_PLATFORM@
452PYTHON_PREFIX = @PYTHON_PREFIX@
453PYTHON_VERSION = @PYTHON_VERSION@
454RANLIB = @RANLIB@
455SED = @SED@
456SET_MAKE = @SET_MAKE@
457SHELL = @SHELL@
458SLC = @SLC@
459SLC_DEP = @SLC_DEP@
460STRIP = @STRIP@
461VERSION = @VERSION@
462VERSIONING = @VERSIONING@
463WFLAGS = @WFLAGS@
464WFLAGS_LITE = @WFLAGS_LITE@
465YACC = @YACC@
466YFLAGS = @YFLAGS@
467abs_builddir = @abs_builddir@
468abs_srcdir = @abs_srcdir@
469abs_top_builddir = @abs_top_builddir@
470abs_top_srcdir = @abs_top_srcdir@
471ac_ct_AR = @ac_ct_AR@
472ac_ct_CC = @ac_ct_CC@
473ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
474am__include = @am__include@
475am__leading_dot = @am__leading_dot@
476am__quote = @am__quote@
477am__tar = @am__tar@
478am__untar = @am__untar@
479bindir = @bindir@
480build = @build@
481build_alias = @build_alias@
482build_cpu = @build_cpu@
483build_os = @build_os@
484build_vendor = @build_vendor@
485builddir = @builddir@
486datadir = @datadir@
487datarootdir = @datarootdir@
488db_type = @db_type@
489db_type_preference = @db_type_preference@
490docdir = @docdir@
491dpagaix_cflags = @dpagaix_cflags@
492dpagaix_ldadd = @dpagaix_ldadd@
493dpagaix_ldflags = @dpagaix_ldflags@
494dvidir = @dvidir@
495exec_prefix = @exec_prefix@
496host = @host@
497host_alias = @host_alias@
498host_cpu = @host_cpu@
499host_os = @host_os@
500host_vendor = @host_vendor@
501htmldir = @htmldir@
502includedir = @includedir@
503infodir = @infodir@
504install_sh = @install_sh@
505libdir = @libdir@
506libexecdir = @libexecdir@
507localedir = @localedir@
508localstatedir = @localstatedir@
509mandir = @mandir@
510mkdir_p = @mkdir_p@
511oldincludedir = @oldincludedir@
512pdfdir = @pdfdir@
513pkgpyexecdir = @pkgpyexecdir@
514pkgpythondir = @pkgpythondir@
515prefix = @prefix@
516program_transform_name = @program_transform_name@
517psdir = @psdir@
518pyexecdir = @pyexecdir@
519pythondir = @pythondir@
520runstatedir = @runstatedir@
521sbindir = @sbindir@
522sharedstatedir = @sharedstatedir@
523srcdir = @srcdir@
524subdirs = @subdirs@
525sysconfdir = @sysconfdir@
526target_alias = @target_alias@
527top_build_prefix = @top_build_prefix@
528top_builddir = @top_builddir@
529top_srcdir = @top_srcdir@
530SUFFIXES = .et .h .pc.in .pc .x .z .hx .1 .3 .5 .7 .8 .cat1 .cat3 \
531	.cat5 .cat7 .cat8
532DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
533AM_CPPFLAGS = $(INCLUDES_roken) -DHOST=\"$(CANONICAL_HOST)\"
534@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
535AM_CFLAGS = $(WFLAGS)
536CP = cp
537buildinclude = $(top_builddir)/include
538LIB_XauReadAuth = @LIB_XauReadAuth@
539LIB_el_init = @LIB_el_init@
540LIB_getattr = @LIB_getattr@
541LIB_getpwent_r = @LIB_getpwent_r@
542LIB_odm_initialize = @LIB_odm_initialize@
543LIB_setpcred = @LIB_setpcred@
544INCLUDE_krb4 = @INCLUDE_krb4@
545LIB_krb4 = @LIB_krb4@
546libexec_heimdaldir = $(libexecdir)/heimdal
547NROFF_MAN = groff -mandoc -Tascii
548@NO_AFS_FALSE@LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
549@NO_AFS_TRUE@LIB_kafs = 
550@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
551@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
552
553@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
554LIB_heimbase = $(top_builddir)/lib/base/libheimbase.la
555@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
556
557#silent-rules
558heim_verbose = $(heim_verbose_$(V))
559heim_verbose_ = $(heim_verbose_$(AM_DEFAULT_VERBOSITY))
560heim_verbose_0 = @echo "  GEN    "$@;
561SUBDIRS = kadm5 hcrypto gssapi
562CHECK_LOCAL = no-check-local
563nodist_include_HEADERS = krb5-types.h
564noinst_HEADERS = heim_threads.h crypto-headers.h
565EXTRA_DIST = NTMakefile krb5-types.cross config.h.w32
566CLEANFILES = \
567	an2ln_plugin.h		\
568	asn1-common.h		\
569	asn1-template.h		\
570	asn1.h			\
571	asn1_err.h		\
572	base64.h		\
573	ccache_plugin.h		\
574	cms_asn1.h 		\
575	com_err.h		\
576	com_right.h		\
577	crmf_asn1.h		\
578	db_plugin.h		\
579	der-private.h 		\
580	der-protos.h 		\
581	der.h			\
582	digest_asn1.h 		\
583	editline.h		\
584	err.h			\
585	getarg.h		\
586	glob.h			\
587	gssapi.h		\
588	gssapi_mech.h		\
589	hdb-private.h		\
590	hdb-protos.h		\
591	hdb.h			\
592	hdb_asn1.h		\
593	hdb_err.h		\
594	heim-ipc.h		\
595	heim_asn1.h		\
596	heim_err.h		\
597	heimbase.h		\
598	heimntlm-protos.h	\
599	heimntlm.h		\
600	hex.h			\
601	hx509-private.h		\
602	hx509-protos.h		\
603	hx509.h			\
604	hx509_err.h		\
605	k524_err.h		\
606	kafs.h			\
607	kcm-protos.h		\
608	kdc-private.h		\
609	kdc-protos.h		\
610	kdc.h			\
611	krb5-private.h		\
612	krb5-protos.h		\
613	krb5-types.h		\
614	krb5.h			\
615	krb5_asn1.h		\
616	krb5_ccapi.h		\
617	krb5_err.h		\
618	krb_err.h		\
619	kx509_asn1.h		\
620	kx509_err.h		\
621	locate_plugin.h		\
622	login-protos.h		\
623	ntlm_err.h		\
624	ocsp_asn1.h		\
625	otp.h			\
626	parse_bytes.h		\
627	parse_time.h		\
628	parse_units.h		\
629	pkcs10_asn1.h		\
630	pkcs12_asn1.h		\
631	pkcs8_asn1.h		\
632	pkcs9_asn1.h		\
633	pkinit_asn1.h		\
634	resolve.h		\
635	rfc2459_asn1.h		\
636	roken-common.h		\
637	roken.h			\
638	rtbl.h			\
639	send_to_kdc_plugin.h	\
640	sl.h			\
641	sqlite3.h		\
642	sqlite3ext.h		\
643	test-mem.h		\
644	vers.h			\
645	vis.h			\
646	wind.h			\
647	wind_err.h		\
648	windc_plugin.h		\
649	xdbm.h
650
651DISTCLEANFILES = \
652	version.h	\
653	version.h.in
654
655all: config.h
656	$(MAKE) $(AM_MAKEFLAGS) all-recursive
657
658.SUFFIXES:
659.SUFFIXES: .et .h .pc.in .pc .x .z .hx .1 .3 .5 .7 .8 .cat1 .cat3 .cat5 .cat7 .cat8 .c .lo .o .obj
660$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
661	@for dep in $?; do \
662	  case '$(am__configure_deps)' in \
663	    *$$dep*) \
664	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
665	        && { if test -f $@; then exit 0; else break; fi; }; \
666	      exit 1;; \
667	  esac; \
668	done; \
669	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign include/Makefile'; \
670	$(am__cd) $(top_srcdir) && \
671	  $(AUTOMAKE) --foreign include/Makefile
672Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
673	@case '$?' in \
674	  *config.status*) \
675	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
676	  *) \
677	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
678	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
679	esac;
680$(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__empty):
681
682$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
683	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
684
685$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
686	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
687$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
688	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
689$(am__aclocal_m4_deps):
690
691config.h: stamp-h1
692	@test -f $@ || rm -f stamp-h1
693	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
694
695stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
696	@rm -f stamp-h1
697	cd $(top_builddir) && $(SHELL) ./config.status include/config.h
698$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
699	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
700	rm -f stamp-h1
701	touch $@
702
703distclean-hdr:
704	-rm -f config.h stamp-h1
705
706clean-noinstPROGRAMS:
707	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
708	echo " rm -f" $$list; \
709	rm -f $$list || exit $$?; \
710	test -n "$(EXEEXT)" || exit 0; \
711	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
712	echo " rm -f" $$list; \
713	rm -f $$list
714
715bits$(EXEEXT): $(bits_OBJECTS) $(bits_DEPENDENCIES) $(EXTRA_bits_DEPENDENCIES) 
716	@rm -f bits$(EXEEXT)
717	$(AM_V_CCLD)$(LINK) $(bits_OBJECTS) $(bits_LDADD) $(LIBS)
718
719mostlyclean-compile:
720	-rm -f *.$(OBJEXT)
721
722distclean-compile:
723	-rm -f *.tab.c
724
725@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bits.Po@am__quote@ # am--include-marker
726
727$(am__depfiles_remade):
728	@$(MKDIR_P) $(@D)
729	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
730
731am--depfiles: $(am__depfiles_remade)
732
733.c.o:
734@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
735@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
736@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
737@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
738@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
739
740.c.obj:
741@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
742@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
743@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
744@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
745@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
746
747.c.lo:
748@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
749@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
750@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
751@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
752@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
753
754mostlyclean-libtool:
755	-rm -f *.lo
756
757clean-libtool:
758	-rm -rf .libs _libs
759install-nodist_includeHEADERS: $(nodist_include_HEADERS)
760	@$(NORMAL_INSTALL)
761	@list='$(nodist_include_HEADERS)'; test -n "$(includedir)" || list=; \
762	if test -n "$$list"; then \
763	  echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \
764	  $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \
765	fi; \
766	for p in $$list; do \
767	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
768	  echo "$$d$$p"; \
769	done | $(am__base_list) | \
770	while read files; do \
771	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
772	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
773	done
774
775uninstall-nodist_includeHEADERS:
776	@$(NORMAL_UNINSTALL)
777	@list='$(nodist_include_HEADERS)'; test -n "$(includedir)" || list=; \
778	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
779	dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
780
781# This directory's subdirectories are mostly independent; you can cd
782# into them and run 'make' without going through this Makefile.
783# To change the values of 'make' variables: instead of editing Makefiles,
784# (1) if the variable is set in 'config.status', edit 'config.status'
785#     (which will cause the Makefiles to be regenerated when you run 'make');
786# (2) otherwise, pass the desired values on the 'make' command line.
787$(am__recursive_targets):
788	@fail=; \
789	if $(am__make_keepgoing); then \
790	  failcom='fail=yes'; \
791	else \
792	  failcom='exit 1'; \
793	fi; \
794	dot_seen=no; \
795	target=`echo $@ | sed s/-recursive//`; \
796	case "$@" in \
797	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
798	  *) list='$(SUBDIRS)' ;; \
799	esac; \
800	for subdir in $$list; do \
801	  echo "Making $$target in $$subdir"; \
802	  if test "$$subdir" = "."; then \
803	    dot_seen=yes; \
804	    local_target="$$target-am"; \
805	  else \
806	    local_target="$$target"; \
807	  fi; \
808	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
809	  || eval $$failcom; \
810	done; \
811	if test "$$dot_seen" = "no"; then \
812	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
813	fi; test -z "$$fail"
814
815ID: $(am__tagged_files)
816	$(am__define_uniq_tagged_files); mkid -fID $$unique
817tags: tags-recursive
818TAGS: tags
819
820tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
821	set x; \
822	here=`pwd`; \
823	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
824	  include_option=--etags-include; \
825	  empty_fix=.; \
826	else \
827	  include_option=--include; \
828	  empty_fix=; \
829	fi; \
830	list='$(SUBDIRS)'; for subdir in $$list; do \
831	  if test "$$subdir" = .; then :; else \
832	    test ! -f $$subdir/TAGS || \
833	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
834	  fi; \
835	done; \
836	$(am__define_uniq_tagged_files); \
837	shift; \
838	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
839	  test -n "$$unique" || unique=$$empty_fix; \
840	  if test $$# -gt 0; then \
841	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
842	      "$$@" $$unique; \
843	  else \
844	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
845	      $$unique; \
846	  fi; \
847	fi
848ctags: ctags-recursive
849
850CTAGS: ctags
851ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
852	$(am__define_uniq_tagged_files); \
853	test -z "$(CTAGS_ARGS)$$unique" \
854	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
855	     $$unique
856
857GTAGS:
858	here=`$(am__cd) $(top_builddir) && pwd` \
859	  && $(am__cd) $(top_srcdir) \
860	  && gtags -i $(GTAGS_ARGS) "$$here"
861cscopelist: cscopelist-recursive
862
863cscopelist-am: $(am__tagged_files)
864	list='$(am__tagged_files)'; \
865	case "$(srcdir)" in \
866	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
867	  *) sdir=$(subdir)/$(srcdir) ;; \
868	esac; \
869	for i in $$list; do \
870	  if test -f "$$i"; then \
871	    echo "$(subdir)/$$i"; \
872	  else \
873	    echo "$$sdir/$$i"; \
874	  fi; \
875	done >> $(top_builddir)/cscope.files
876
877distclean-tags:
878	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
879distdir: $(BUILT_SOURCES)
880	$(MAKE) $(AM_MAKEFLAGS) distdir-am
881
882distdir-am: $(DISTFILES)
883	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
884	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
885	list='$(DISTFILES)'; \
886	  dist_files=`for file in $$list; do echo $$file; done | \
887	  sed -e "s|^$$srcdirstrip/||;t" \
888	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
889	case $$dist_files in \
890	  */*) $(MKDIR_P) `echo "$$dist_files" | \
891			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
892			   sort -u` ;; \
893	esac; \
894	for file in $$dist_files; do \
895	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
896	  if test -d $$d/$$file; then \
897	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
898	    if test -d "$(distdir)/$$file"; then \
899	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
900	    fi; \
901	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
902	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
903	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
904	    fi; \
905	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
906	  else \
907	    test -f "$(distdir)/$$file" \
908	    || cp -p $$d/$$file "$(distdir)/$$file" \
909	    || exit 1; \
910	  fi; \
911	done
912	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
913	  if test "$$subdir" = .; then :; else \
914	    $(am__make_dryrun) \
915	      || test -d "$(distdir)/$$subdir" \
916	      || $(MKDIR_P) "$(distdir)/$$subdir" \
917	      || exit 1; \
918	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
919	    $(am__relativize); \
920	    new_distdir=$$reldir; \
921	    dir1=$$subdir; dir2="$(top_distdir)"; \
922	    $(am__relativize); \
923	    new_top_distdir=$$reldir; \
924	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
925	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
926	    ($(am__cd) $$subdir && \
927	      $(MAKE) $(AM_MAKEFLAGS) \
928	        top_distdir="$$new_top_distdir" \
929	        distdir="$$new_distdir" \
930		am__remove_distdir=: \
931		am__skip_length_check=: \
932		am__skip_mode_fix=: \
933	        distdir) \
934	      || exit 1; \
935	  fi; \
936	done
937	$(MAKE) $(AM_MAKEFLAGS) \
938	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
939	  dist-hook
940check-am: all-am
941	$(MAKE) $(AM_MAKEFLAGS) check-local
942check: check-recursive
943all-am: Makefile $(PROGRAMS) $(HEADERS) config.h all-local
944installdirs: installdirs-recursive
945installdirs-am:
946	for dir in "$(DESTDIR)$(includedir)"; do \
947	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
948	done
949install: install-recursive
950install-exec: install-exec-recursive
951install-data: install-data-recursive
952uninstall: uninstall-recursive
953
954install-am: all-am
955	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
956
957installcheck: installcheck-recursive
958install-strip:
959	if test -z '$(STRIP)'; then \
960	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
961	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
962	      install; \
963	else \
964	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
965	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
966	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
967	fi
968mostlyclean-generic:
969
970clean-generic:
971	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
972
973distclean-generic:
974	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
975	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
976	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
977
978maintainer-clean-generic:
979	@echo "This command is intended for maintainers to use"
980	@echo "it deletes files that may require special tools to rebuild."
981clean: clean-recursive
982
983clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
984	mostlyclean-am
985
986distclean: distclean-recursive
987		-rm -f ./$(DEPDIR)/bits.Po
988	-rm -f Makefile
989distclean-am: clean-am distclean-compile distclean-generic \
990	distclean-hdr distclean-tags
991
992dvi: dvi-recursive
993
994dvi-am:
995
996html: html-recursive
997
998html-am:
999
1000info: info-recursive
1001
1002info-am:
1003
1004install-data-am: install-nodist_includeHEADERS
1005	@$(NORMAL_INSTALL)
1006	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
1007install-dvi: install-dvi-recursive
1008
1009install-dvi-am:
1010
1011install-exec-am: install-exec-local
1012
1013install-html: install-html-recursive
1014
1015install-html-am:
1016
1017install-info: install-info-recursive
1018
1019install-info-am:
1020
1021install-man:
1022
1023install-pdf: install-pdf-recursive
1024
1025install-pdf-am:
1026
1027install-ps: install-ps-recursive
1028
1029install-ps-am:
1030
1031installcheck-am:
1032
1033maintainer-clean: maintainer-clean-recursive
1034		-rm -f ./$(DEPDIR)/bits.Po
1035	-rm -f Makefile
1036maintainer-clean-am: distclean-am maintainer-clean-generic
1037
1038mostlyclean: mostlyclean-recursive
1039
1040mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1041	mostlyclean-libtool
1042
1043pdf: pdf-recursive
1044
1045pdf-am:
1046
1047ps: ps-recursive
1048
1049ps-am:
1050
1051uninstall-am: uninstall-nodist_includeHEADERS
1052	@$(NORMAL_INSTALL)
1053	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
1054.MAKE: $(am__recursive_targets) all check-am install-am \
1055	install-data-am install-strip uninstall-am
1056
1057.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am all-local \
1058	am--depfiles check check-am check-local clean clean-generic \
1059	clean-libtool clean-noinstPROGRAMS cscopelist-am ctags \
1060	ctags-am dist-hook distclean distclean-compile \
1061	distclean-generic distclean-hdr distclean-libtool \
1062	distclean-tags distdir dvi dvi-am html html-am info info-am \
1063	install install-am install-data install-data-am \
1064	install-data-hook install-dvi install-dvi-am install-exec \
1065	install-exec-am install-exec-local install-html \
1066	install-html-am install-info install-info-am install-man \
1067	install-nodist_includeHEADERS install-pdf install-pdf-am \
1068	install-ps install-ps-am install-strip installcheck \
1069	installcheck-am installdirs installdirs-am maintainer-clean \
1070	maintainer-clean-generic mostlyclean mostlyclean-compile \
1071	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1072	tags tags-am uninstall uninstall-am uninstall-hook \
1073	uninstall-nodist_includeHEADERS
1074
1075.PRECIOUS: Makefile
1076
1077
1078install-suid-programs:
1079	@foo='$(bin_SUIDS)'; \
1080	for file in $$foo; do \
1081		x=$(DESTDIR)$(bindir)/$$file; \
1082		if chown 0:0 $$x && chmod u+s $$x; then :; else \
1083			echo "*"; \
1084			echo "* Failed to install $$x setuid root"; \
1085			echo "*"; \
1086		fi; \
1087	done
1088
1089install-exec-local: install-suid-programs
1090
1091codesign-all:
1092	@if [ X"$$CODE_SIGN_IDENTITY" != X ] ; then \
1093		foo='$(bin_PROGRAMS) $(sbin_PROGRAMS) $(libexec_PROGRAMS)' ; \
1094		for file in $$foo ; do \
1095			echo "CODESIGN $$file" ; \
1096			codesign -f -s "$$CODE_SIGN_IDENTITY" $$file || exit 1 ; \
1097		done ; \
1098	fi
1099
1100all-local: codesign-all
1101
1102install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS) $(noinst_HEADERS)
1103	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(noinst_HEADERS)'; \
1104	for f in $$foo; do \
1105		f=`basename $$f`; \
1106		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1107		else file="$$f"; fi; \
1108		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1109		: ; else \
1110			echo " $(CP) $$file $(buildinclude)/$$f"; \
1111			$(CP) $$file $(buildinclude)/$$f || true; \
1112		fi ; \
1113	done ; \
1114	foo='$(nobase_include_HEADERS)'; \
1115	for f in $$foo; do \
1116		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1117		else file="$$f"; fi; \
1118		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
1119		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1120		: ; else \
1121			echo " $(CP) $$file $(buildinclude)/$$f"; \
1122			$(CP) $$file $(buildinclude)/$$f; \
1123		fi ; \
1124	done
1125
1126all-local: install-build-headers
1127
1128check-local::
1129	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
1130	  foo=''; elif test '$(CHECK_LOCAL)'; then \
1131	  foo='$(CHECK_LOCAL)'; else \
1132	  foo='$(PROGRAMS)'; fi; \
1133	  if test "$$foo"; then \
1134	  failed=0; all=0; \
1135	  for i in $$foo; do \
1136	    all=`expr $$all + 1`; \
1137	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
1138	      echo "PASS: $$i"; \
1139	    else \
1140	      echo "FAIL: $$i"; \
1141	      failed=`expr $$failed + 1`; \
1142	    fi; \
1143	  done; \
1144	  if test "$$failed" -eq 0; then \
1145	    banner="All $$all tests passed"; \
1146	  else \
1147	    banner="$$failed of $$all tests failed"; \
1148	  fi; \
1149	  dashes=`echo "$$banner" | sed s/./=/g`; \
1150	  echo "$$dashes"; \
1151	  echo "$$banner"; \
1152	  echo "$$dashes"; \
1153	  test "$$failed" -eq 0 || exit 1; \
1154	fi
1155
1156# It's useful for debugging to format generated sources.  The default for all
1157# clang-format styles is to sort includes, but in many cases in-tree we really
1158# don't want to do that.
1159.x.c:
1160	@if [ -z "$(CLANG_FORMAT)" ]; then \
1161	    cmp -s $< $@ 2> /dev/null || cp $< $@; \
1162	else \
1163	    cp $< $@.tmp.c; \
1164            $(CLANG_FORMAT) -style='{BasedOnStyle: Chromium, SortIncludes: false}' -i $@.tmp.c; \
1165	    cmp -s $@.tmp.c $@ 2> /dev/null || mv $@.tmp.c $@; \
1166	fi
1167
1168.hx.h:
1169	@cmp -s $< $@ 2> /dev/null || cp $< $@;
1170#NROFF_MAN = nroff -man
1171.1.cat1:
1172	$(NROFF_MAN) $< > $@
1173.3.cat3:
1174	$(NROFF_MAN) $< > $@
1175.5.cat5:
1176	$(NROFF_MAN) $< > $@
1177.7.cat7:
1178	$(NROFF_MAN) $< > $@
1179.8.cat8:
1180	$(NROFF_MAN) $< > $@
1181
1182dist-cat1-mans:
1183	@foo='$(man1_MANS)'; \
1184	bar='$(man_MANS)'; \
1185	for i in $$bar; do \
1186	case $$i in \
1187	*.1) foo="$$foo $$i";; \
1188	esac; done ;\
1189	for i in $$foo; do \
1190		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
1191		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1192		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1193	done
1194
1195dist-cat3-mans:
1196	@foo='$(man3_MANS)'; \
1197	bar='$(man_MANS)'; \
1198	for i in $$bar; do \
1199	case $$i in \
1200	*.3) foo="$$foo $$i";; \
1201	esac; done ;\
1202	for i in $$foo; do \
1203		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
1204		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1205		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1206	done
1207
1208dist-cat5-mans:
1209	@foo='$(man5_MANS)'; \
1210	bar='$(man_MANS)'; \
1211	for i in $$bar; do \
1212	case $$i in \
1213	*.5) foo="$$foo $$i";; \
1214	esac; done ;\
1215	for i in $$foo; do \
1216		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
1217		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1218		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1219	done
1220
1221dist-cat7-mans:
1222	@foo='$(man7_MANS)'; \
1223	bar='$(man_MANS)'; \
1224	for i in $$bar; do \
1225	case $$i in \
1226	*.7) foo="$$foo $$i";; \
1227	esac; done ;\
1228	for i in $$foo; do \
1229		x=`echo $$i | sed 's/\.[^.]*$$/.cat7/'`; \
1230		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1231		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1232	done
1233
1234dist-cat8-mans:
1235	@foo='$(man8_MANS)'; \
1236	bar='$(man_MANS)'; \
1237	for i in $$bar; do \
1238	case $$i in \
1239	*.8) foo="$$foo $$i";; \
1240	esac; done ;\
1241	for i in $$foo; do \
1242		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1243		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1244		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1245	done
1246
1247dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat7-mans dist-cat8-mans
1248
1249install-cat-mans:
1250	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man7_MANS) $(man8_MANS)
1251
1252uninstall-cat-mans:
1253	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man7_MANS) $(man8_MANS)
1254
1255install-data-hook: install-cat-mans
1256uninstall-hook: uninstall-cat-mans
1257
1258.et.h:
1259	$(COMPILE_ET) $<
1260.et.c:
1261	$(COMPILE_ET) $<
1262
1263#
1264# Useful target for debugging
1265#
1266
1267check-valgrind:
1268	tobjdir=`cd $(top_builddir) && pwd` ; \
1269	tsrcdir=`cd $(top_srcdir) && pwd` ; \
1270	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
1271
1272#
1273# Target to please samba build farm, builds distfiles in-tree.
1274# Will break when automake changes...
1275#
1276
1277distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1278	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1279	  if test "$$subdir" != .; then \
1280	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1281	  fi ; \
1282	done
1283
1284@CROSS_COMPILE_FALSE@krb5-types.h: bits$(EXEEXT)
1285@CROSS_COMPILE_FALSE@	./bits$(EXEEXT) krb5-types.h
1286
1287@CROSS_COMPILE_TRUE@krb5-types.h: krb5-types.cross
1288@CROSS_COMPILE_TRUE@	cp $(srcdir)/krb5-types.cross krb5-types.h
1289
1290# Tell versions [3.59,3.63) of GNU make to not export all variables.
1291# Otherwise a system limit (for SysV at least) may be exceeded.
1292.NOEXPORT:
1293